org.bouncycastle.asn1.esf

## Class SignerLocation

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.esf.SignerLocation

All Implemented Interfaces:
  DEREncodable

    public class SignerLocation
    extends ASN1Encodable

Signer-Location attribute (RFC3126).

       SignerLocation ::= SEQUENCE {
           countryName        [0] DirectoryString OPTIONAL,
           localityName       [1] DirectoryString OPTIONAL,
           postalAddress      [2] PostalAddress OPTIONAL }

       PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`SignerLocation(ASN1Sequence seq)`
`SignerLocation(DERUTF8String countryName, DERUTF8String localityName, ASN1Sequence postalAddress)`

### Method Summary

Methods
`DERUTF8String` `getCountryName()`
`static SignerLocation` `getInstance(java.lang.Object obj)`
`DERUTF8String` `getLocalityName()`
`ASN1Sequence` `getPostalAddress()`

`DERObject`

`toASN1Object()`
SignerLocation ::= SEQUENCE { countryName [0] DirectoryString OPTIONAL, localityName [1] DirectoryString OPTIONAL, postalAddress [2] PostalAddress OPTIONAL } PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString DirectoryString ::= CHOICE { teletexString TeletexString (SIZE (1..MAX)), printableString PrintableString (SIZE (1..MAX)), universalString UniversalString (SIZE (1..MAX)), utf8String UTF8String (SIZE (1..

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignerLocation

    public SignerLocation(ASN1Sequence seq)

#### SignerLocation

    public SignerLocation(DERUTF8String countryName,
                  DERUTF8String localityName,
                  ASN1Sequence postalAddress)

### Method Detail

#### getInstance

    public static SignerLocation getInstance(java.lang.Object obj)

#### getCountryName

    public DERUTF8String getCountryName()

#### getLocalityName

    public DERUTF8String getLocalityName()

#### getPostalAddress

    public ASN1Sequence getPostalAddress()

#### toASN1Object

    public DERObject toASN1Object()

       SignerLocation ::= SEQUENCE {
           countryName        [0] DirectoryString OPTIONAL,
           localityName       [1] DirectoryString OPTIONAL,
           postalAddress      [2] PostalAddress OPTIONAL }

       PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString

       DirectoryString ::= CHOICE {
             teletexString           TeletexString (SIZE (1..MAX)),
             printableString         PrintableString (SIZE (1..MAX)),
             universalString         UniversalString (SIZE (1..MAX)),
             utf8String              UTF8String (SIZE (1.. MAX)),
             bmpString               BMPString (SIZE (1..MAX)) }

Specified by:
  `toASN1Object` in class `ASN1Encodable`